Comment 170 for bug 862430

mia1dolfan (mia1dolfan) wrote :

> or more likely you are forced to update because these packages are unmaintained and eventually it breaks the apt-get dependency chain, undo the hold with these commands...

It happened. I did a dist-upgrade, Unity updated, Compiz didn't. I ended up with a Desktop with no Unity. Compiz errors showed...

compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libunityshell.so' : /usr/lib/compiz/libunityshell.so: undefined symbol: _ZN10CompOption7setNameEPKcNS_4TypeE
compiz (core) - Error: Couldn't load plugin 'unityshell'

until I...

echo compiz install | sudo dpkg --set-selections
echo compiz-core install | sudo dpkg --set-selections
sudo apt-get upgrade

No more Cube again... It's only being a year now, look at the first post. At this point the options for a user are, no-dist upgrade, or set unity on dpkg hold, or no cube. I'm surprised things worked this long with the unmaintained repo. For the impatient, well, be patient, eventually we will all move on to something else and not care anymore.